1. HTTP3W博客首页
  2. 技术
  3. android

Could not resolve com.android.tools.build:gradle:4.1.1.

安装Android studio环境,报错Could not resolve com.android.tools.build:gradle:4.1.1. 网上尝试各种办法未能解决;编译报错:Could not resolve com.android.tools.build:gradle:4.1.1.

各种说法都说没有翻墙编译导致的错误,最后安装了翻墙工具,也未能解决我的问题;项目都结束了,还没安装上,我以为是我电脑环境问题,正要准备安装新系统时,抱着试试的态度,再度打开studio尝试方法安装;终于,我找到一个可以解决我问题的帖子,解决方法如下:

阿里仓库地址:>https://maven.aliyun.com/mvn/view

解决步骤:

一、修改flutter项目下android模块下的bulid.gradle:

maven { url 'https://maven.aliyun.com/repository/google' }
maven { url 'https://maven.aliyun.com/repository/jcenter' } 
maven { url 'http://maven.aliyun.com/nexus/content/groups/public' } 

二、我的全部配置文件

buildscript {
    
    repositories {
        mavenLocal()
        maven { url 'https://maven.aliyun.com/repository/google' }

        maven { url 'https://maven.aliyun.com/repository/jcenter' }
        maven { url 'http://maven.aliyun.com/nexus/content/groups/public' }

        jcenter()
        google()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:4.1.1'
        

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }

}

allprojects {
    repositories {
        mavenLocal()
        maven { url 'https://maven.aliyun.com/repository/google' }
        maven { url 'https://maven.aliyun.com/repository/jcenter' }
        maven { url 'http://maven.aliyun.com/nexus/content/groups/public' }

        jcenter()
        google()
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
Could not resolve com.android.tools.build:gradle:4.1.1.

最后项目运行成功,问题终于解决了

1、原创文章,作者:诺米,如若转载,请注明出处:https://www.http3w.com/archives/528

2、本站内容若有雷同从属巧合,若侵犯了您的权益,请联系本站删除,E-mail: wtao219@qq.com

发表评论

您的电子邮箱地址不会被公开。

联系我们

254007489

在线咨询:点击这里给我发消息

邮件:wtao219@qq.com

工作时间:周一至周五,9:30-18:30,节假日休息